summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kde-plasma/plasma-systemmonitor/Manifest1
-rw-r--r--kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.21.1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/kde-plasma/plasma-systemmonitor/Manifest b/kde-plasma/plasma-systemmonitor/Manifest
index 00727a921d3..9ab9df136a7 100644
--- a/kde-plasma/plasma-systemmonitor/Manifest
+++ b/kde-plasma/plasma-systemmonitor/Manifest
@@ -1,2 +1,3 @@
DIST plasma-systemmonitor-5.20.0.tar.xz 105596 BLAKE2B 93a5feb8fba244580e65b55633d803e14051b476f3ee5fde617285c61a84be7b22c5c09f4a14e0e7b9b3c88a45868c9f8c5c72e8cfd4488add192e9e1ceeb594 SHA512 56c6a5fe4646aaa2fc76c30f28362252308516b06132501efeb9905097a5c895250076b09ef2bdb7a9f4ad77435c622bd4b3f1ad5b69116f6654b3046829f2a0
DIST plasma-systemmonitor-5.21.0.tar.xz 122720 BLAKE2B 1414fcc592f30010a73be9e22f52fc1e548d0d1534bbbcfa2546770964ea9b673cc35433d77195793b4dcba55da835fc938273bc75257f0e8f33022a9140c34a SHA512 146354b49065b31f7df56bd890c965a84a401efba9446d36356d672aae7fa531ec330a4f4521e29ab7cc7ce4d043c99d2ad8ed5afbe98b3e6c51a81e0821a9a8
+DIST plasma-systemmonitor-5.21.1.tar.xz 122780 BLAKE2B f30435258862b29607c5330a688ada8ee6757be7f8743bee87634620624073c9c877d328fbab6ba0fb0f01d7e54ab76656cc4ce8bac0fbb0745d8652e2559156 SHA512 2b4af806254a111c1023678e979b0bf8931136f99e422479a59f983d56a677b20950b67f4dfcff8387846a1c69a71d74e32a95fda4e4d2cd7fb7ed8a3ec37b98
diff --git a/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.21.1.ebuild b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.21.1.ebuild
new file mode 100644
index 00000000000..abb5050abba
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.21.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PVCUT=$(ver_cut 1-3)
+KFMIN=5.78.0
+QTMIN=5.15.2
+inherit ecm kde.org
+
+DESCRIPTION="New version of KSysGuard built on top of the new KStats daemon and using QML"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-systemmonitor"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/kglobalaccel-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-plasma/libksysguard-${PVCUT}:5
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+ >=kde-frameworks/kitemmodels-${KFMIN}:5[qml]
+ >=kde-frameworks/kquickcharts-${KFMIN}:5
+ >=kde-plasma/ksysguard-${PVCUT}:5
+"